import request from '@/utils/request'

// 查询公司基站管理员列表
export function listMallCompanyUser(query) {
  return request({
    url: '/mall/mallCompanyUser/list',
    method: 'get',
    params: query
  })
}

// 查询公司基站管理员详细
export function getMallCompanyUser(companyUserId) {
  return request({
    url: '/mall/mallCompanyUser/' + companyUserId,
    method: 'get'
  })
}

// 新增公司基站管理员
export function addMallCompanyUser(data) {
  return request({
    url: '/mall/mallCompanyUser',
    method: 'post',
    data: data
  })
}

// 修改公司基站管理员
export function updateMallCompanyUser(data) {
  return request({
    url: '/mall/mallCompanyUser',
    method: 'put',
    data: data
  })
}

// 删除公司基站管理员
export function delMallCompanyUser(companyUserId) {
  return request({
    url: '/mall/mallCompanyUser/' + companyUserId,
    method: 'delete'
  })
}

// 获取公司基站管理员列表
export function getCompanyUser() {
  return request({
    url: '/mall/mallCompanyUser/getCompanyUser',
    method: 'get',
  })
}

// 重置密码
export function updateMallCompanyUserResetPwd(data) {
  return request({
    url: '/mall/mallCompanyUser/resetPwd',
    method: 'put',
    data: data
  })
}
